rpm 4.10.90

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Enumerations | Functions | Variables
rpmsign.c File Reference
`#include "system.h"`
`#include <errno.h>`
`#include <sys/wait.h>`
`#include <popt.h>`
`#include <rpm/rpmcli.h>`
`#include <rpm/rpmsign.h>`
`#include "cliutils.h"`
`#include "debug.h"`
Include dependency graph for rpmsign.c:

Go to the source code of this file.

## Enumerations

enum

modes {
MODE_BUILD = (1 << 4), MODE_REBUILD = (1 << 5), MODE_RECOMPILE = (1 << 8), MODE_TARBUILD = (1 << 11),
MODE_INITDB = (1 << 0), MODE_REBUILDDB = (1 << 1), MODE_VERIFYDB = (1 << 2), MODE_CHECKSIG = (1 << 0),
MODE_IMPORTKEY = (1 << 1), MODE_DELKEY = (1 << 2), MODE_LISTKEY = (1 << 3), MODE_QUERY = (1 << 0),
MODE_VERIFY = (1 << 3), MODE_ADDSIGN = (1 << 0), MODE_RESIGN = (1 << 1), MODE_DELSIGN = (1 << 2),
MODE_UNKNOWN = 0, MODE_QUERY = (1 << 0), MODE_PARSE = (1 << 1)
}

## Functions

static int | checkPassPhrase (const char *passPhrase)
static int | doSign (poptContext optCon)
int | main (int argc, char *argv[])

## Variables

char ** | environ = NULL
static int | mode = 0
static struct poptOption | signOptsTable []
static struct poptOption | optionsTable []

## Enumeration Type Documentation

enum modes

Enumerator:

  MODE_BUILD |
  MODE_REBUILD |
  MODE_RECOMPILE |
  MODE_TARBUILD |
  MODE_INITDB |
  MODE_REBUILDDB |
  MODE_VERIFYDB |
  MODE_CHECKSIG |
  MODE_IMPORTKEY |
  MODE_DELKEY |
  MODE_LISTKEY |
  MODE_QUERY |
  MODE_VERIFY |
  MODE_ADDSIGN |
  MODE_RESIGN |
  MODE_DELSIGN |
  MODE_UNKNOWN |
  MODE_QUERY |
  MODE_PARSE |

Definition at line 15 of file rpmsign.c.

## Function Documentation

static int checkPassPhrase | ( | const char * | passPhrase | ) | `[static]`

Definition at line 44 of file rpmsign.c.

References rpmExpand(), rstreq(), environ, and _.

Referenced by doSign().

static int doSign | ( | poptContext | optCon | ) | `[static]`

Definition at line 101 of file rpmsign.c.

References rpmExpand(), rstreq(), _, rstrdup(), checkPassPhrase(), and rpmPkgSign().

Referenced by main().

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 132 of file rpmsign.c.

References rpmcliInit(), printUsage(), argerror(), _, MODE_ADDSIGN, MODE_RESIGN, doSign(), MODE_DELSIGN, rpmPkgDelSign(), and rpmcliFini().

## Variable Documentation

char** environ = NULL

Definition at line 12 of file rpmsign.c.

int mode = 0`[static]`

Definition at line 21 of file rpmsign.c.

struct poptOption optionsTable[]`[static]`

Initial value:

     {
        { NULL, '\0', POPT_ARG_INCLUDE_TABLE, signOptsTable, 0,
             "Signature options:" , NULL },
        { NULL, '\0', POPT_ARG_INCLUDE_TABLE, rpmcliAllPoptTable, 0,
             "Common options for all rpm modes and executables:" , NULL },

        POPT_AUTOALIAS
        POPT_AUTOHELP
        POPT_TABLEEND
    }

Definition at line 33 of file rpmsign.c.

struct poptOption signOptsTable[]`[static]`

Initial value:

     {
        { "addsign", '\0', (POPT_ARG_VAL|POPT_ARGFLAG_OR), &mode, MODE_ADDSIGN,
             "sign package(s)" , NULL },
        { "resign", '\0', (POPT_ARG_VAL|POPT_ARGFLAG_OR), &mode, MODE_RESIGN,
             "sign package(s) (identical to --addsign)" , NULL },
        { "delsign", '\0', (POPT_ARG_VAL|POPT_ARGFLAG_OR), &mode, MODE_DELSIGN,
             "delete package signatures" , NULL },
        POPT_TABLEEND
    }

Definition at line 23 of file rpmsign.c.